/**
 * A simple hook to use translations in components
 * @returns The t function for translating keys
 */
export declare const useTranslation: () => {
    t: (key: import("../i18n").TranslationKey, params?: Record<string, string | number>) => string;
    locale: "en" | "zh";
    setLocale: (newLocale: import("../i18n").LocaleKey) => void;
};
export default useTranslation;
