declare const _default: {
    navTitle: string;
    basicinfo_title: string;
    basicinfo_miniprogramId: string;
    basicinfo_version: string;
    basicinfo_deviceModel: string;
    basicinfo_networkType: string;
    basicinfo_baseLibVersion: string;
    basicinfo_startupTime: string;
    basicinfo_tarDownloadTime: string;
    basicinfo_experienceTime: string;
    score_title_total: string;
    score_title_performance: string;
    score_title_experience: string;
    score_title_bestPractices: string;
    score_desc_performance: string;
    score_desc_experience: string;
    score_desc_bestPractices: string;
    not_passed: string;
    passed: string;
    unchecked: string;
    suggestions: string;
    script_execution_time: string;
    script_execution_time_passedTitle: string;
    script_execution_time_failedTitle: string;
    script_execution_time_desc: string;
    script_execution_time_headings_cost: string;
    script_execution_time_headings_page: string;
    script_execution_time_headings_name: string;
    fmp_time: string;
    fmp_time_passedTitle: string;
    fmp_time_failedTitle: string;
    fmp_time_desc: string;
    fmp_time_headings_cost: string;
    fmp_time_headings_page: string;
    render_time: string;
    render_time_passedTitle: string;
    render_time_failedTitle: string;
    render_time_desc: string;
    render_time_headings_page: string;
    render_time_headings_cost: string;
    lower_average_frame_rate: string;
    lower_average_frame_rate_passedTitle: string;
    lower_average_frame_rate_failedTitle: string;
    lower_average_frame_rate_desc: string;
    lower_average_frame_rate_headings_min: string;
    lower_average_frame_rate_headings_page: string;
    setData_calls: string;
    setData_calls_passedTitle: string;
    setData_calls_failedTitle: string;
    setData_calls_desc: string;
    setData_calls_headings_times: string;
    setData_calls_headings_page: string;
    setData_size: string;
    setData_size_passedTitle: string;
    setData_size_failedTitle: string;
    setData_size_desc: string;
    setData_size_headings_size: string;
    setData_size_headings_page: string;
    tyml_nodes: string;
    tyml_nodes_passedTitle: string;
    tyml_nodes_failedTitle: string;
    tyml_nodes_desc: string;
    tyml_nodes_headings_totalNode: string;
    tyml_nodes_headings_depth: string;
    tyml_nodes_headings_maxChildren: string;
    tyml_nodes_headings_page: string;
    network_request_time: string;
    network_request_time_passedTitle: string;
    network_request_time_failedTitle: string;
    network_request_time_desc: string;
    network_request_time_headings_cost: string;
    network_request_time_headings_api: string;
    network_request_time_headings_status: string;
    network_concurrent_requests: string;
    network_concurrent_requests_passedTitle: string;
    network_concurrent_requests_failedTitle: string;
    network_concurrent_requests_desc: string;
    network_concurrent_requests_headings_apis: string;
    network_concurrent_requests_headings_count: string;
    network_concurrent_requests_headings_page: string;
    image_concurrent_requests: string;
    image_concurrent_requests_passedTitle: string;
    image_concurrent_requests_failedTitle: string;
    image_concurrent_requests_desc: string;
    image_concurrent_requests_headings_count: string;
    image_concurrent_requests_headings_images: string;
    image_concurrent_requests_headings_images_page: string;
    image_concurrent_requests_headings_images_url: string;
    image_concurrent_requests_headings_images_size: string;
    image_concurrent_requests_headings_images_isLegalDomain: string;
    image_size_check: string;
    image_size_check_passedTitle: string;
    image_size_check_failedTitle: string;
    image_size_check_desc: string;
    image_size_check_headings_url: string;
    image_size_check_headings_size: string;
    image_size_check_headings_page: string;
    mini_program_package_size: string;
    mini_program_package_size_passedTitle: string;
    mini_program_package_size_failedTitle: string;
    mini_program_package_size_desc: string;
    mini_program_package_size_headings_size: string;
    ttt_concurrent_calls: string;
    ttt_concurrent_calls_passedTitle: string;
    ttt_concurrent_calls_failedTitle: string;
    ttt_concurrent_calls_desc: string;
    ttt_concurrent_calls_headings_count: string;
    ttt_concurrent_calls_headings_calls: string;
    ttt_concurrent_calls_headings_calls_name: string;
    ttt_concurrent_calls_headings_calls_page: string;
    app_theme_variables: string;
    app_theme_variables_passedTitle: string;
    app_theme_variables_failedTitle: string;
    app_theme_variables_desc: string;
    app_theme_variables_headings_value: string;
    app_theme_variables_headings_file: string;
    app_theme_variables_headings_key: string;
    dark_mode_support: string;
    dark_mode_support_passedTitle: string;
    dark_mode_support_failedTitle: string;
    dark_mode_support_desc: string;
    dark_mode_support_headings_configDarkMode: string;
    multi_language_usage: string;
    multi_language_usage_passedTitle: string;
    multi_language_usage_failedTitle: string;
    multi_language_usage_desc: string;
    multi_language_usage_headings_texts: string;
    multi_language_usage_headings_file: string;
    clickable_element_response_area: string;
    clickable_element_response_area_passedTitle: string;
    clickable_element_response_area_failedTitle: string;
    clickable_element_response_area_desc: string;
    clickable_element_response_area_headings_comp: string;
    clickable_element_response_area_headings_page: string;
    clickable_element_response_area_headings_area: string;
    safe_area_compatibility: string;
    safe_area_compatibility_passedTitle: string;
    safe_area_compatibility_failedTitle: string;
    safe_area_compatibility_desc: string;
    safe_area_compatibility_headings_comp: string;
    safe_area_compatibility_headings_page: string;
    safe_area_compatibility_headings_area: string;
    js_error_logs: string;
    js_error_logs_passedTitle: string;
    js_error_logs_failedTitle: string;
    js_error_logs_desc: string;
    js_error_logs_headings_errorMsg: string;
    js_error_logs_headings_page: string;
    https_compliance: string;
    https_compliance_passedTitle: string;
    https_compliance_failedTitle: string;
    https_compliance_desc: string;
    https_compliance_headings_url: string;
    https_compliance_headings_page: string;
    package_image_check: string;
    package_image_check_passedTitle: string;
    package_image_check_failedTitle: string;
    package_image_check_desc: string;
    package_image_check_headings_file: string;
    package_image_check_headings_size: string;
    islegal_domain_image_access: string;
    islegal_domain_image_access_passedTitle: string;
    islegal_domain_image_access_failedTitle: string;
    islegal_domain_image_access_desc: string;
    islegal_domain_image_access_headings_url: string;
    islegal_domain_image_access_headings_page: string;
    islegal_domain_image_access_headings_isLegalDomain: string;
    dp_data_change_concurrent_calls: string;
    dp_data_change_concurrent_calls_passedTitle: string;
    dp_data_change_concurrent_calls_failedTitle: string;
    dp_data_change_concurrent_calls_desc: string;
    dp_data_change_concurrent_calls_headings_counts: string;
    dp_data_change_concurrent_calls_headings_calls: string;
    dp_data_change_concurrent_calls_headings_calls_dps: string;
    dp_data_change_concurrent_calls_headings_calls_deviceId: string;
    Yes: string;
    No: string;
};
export default _default;
